#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#define PREFIX		"/usr"
#define ETCDIR		"/etc"
#define SUFFIX		"/X11"
#define LIBDIR		"/lib"
#define LIB64DIR	"/lib64"
#define LIBGL		"/libGL.so.1"
#define LIBGLX		"/libglx.so"
#define LIBDRI		"/libdri.so"

struct XLStruct {
	char* srcname;
	char* dstname;
};

static struct XLStruct XORGLib[] = {
	{PREFIX LIBDIR SUFFIX "/fglrx" LIBGL, ETCDIR SUFFIX LIBDIR LIBGL},
	{PREFIX LIBDIR SUFFIX "/fglrx" LIBGLX, ETCDIR SUFFIX LIBDIR LIBGLX},
	{PREFIX LIBDIR SUFFIX "/fglrx" LIBDRI, ETCDIR SUFFIX LIBDIR LIBDRI},
	{PREFIX LIB64DIR SUFFIX "/fglrx" LIBGL, ETCDIR SUFFIX LIB64DIR LIBGL},
	{PREFIX LIB64DIR SUFFIX "/fglrx" LIBGLX, ETCDIR SUFFIX LIB64DIR LIBGLX},
	{PREFIX LIB64DIR SUFFIX "/fglrx" LIBDRI, ETCDIR SUFFIX LIB64DIR LIBDRI},
	{NULL, NULL},
};

static int check_link(char *src, char *dst)
{
	if (access(src, F_OK) == 0) {
		if (access(dst, F_OK) == 0) {
			if (strcmp(src, realpath(dst, NULL)) != 0) {
				if (access(dst, W_OK) == 0) {
					if (unlink(dst) == 0) {
						if (symlink(src, dst) != 0)
							return 1;
					} else {
						return 1;
					}
				} else {
					return 1;
				}
			}
		} else {
			unlink(dst);
			if (symlink(src, dst) != 0)
				return 1;
		}
	} else {
		return 1;
	}

	return 0;
}

int main(int argc, char *argv[]) {

	struct XLStruct *l;

	for (l = XORGLib; l->srcname; l++) {
		check_link(l->srcname, l->dstname);
	}

	return 0;
}
